export const RANGES = {
  'C3-C5': '48|72',
  'C3-C6': '48|84',
  'C2-C6': '36|84',
  'C2-C7': '36|96',
  'E1-E7': '28|100',
  'E1-G7': '28|103',
  'A0-C8': '21|108',
  'C0-B9': '12|119',
  'Full MIDI': '0|127'
}

export const SCALE_FACTORS = {
  '1x': '1',
  '2x': '2'
}

export const NATURAL_KEY_WIDTHS = [
  16,
  18,
  20
]

export interface Config {
  range: string
  queryDeviceKey: string
  scaleFactor: string
  naturalKeyColor: string
  accidentalKeyColor: string
  naturalKeyWidth: string
}

export const defaultConfig: Config = {
  range: '21|108',
  queryDeviceKey: '',
  scaleFactor: '2',
  naturalKeyColor: '#e3e3e5',
  accidentalKeyColor: '#35313b',
  naturalKeyWidth: '18'
}
